NullLogSystem (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.log.NullLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class NullLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.NullLogChute
          org.apache.velocity.runtime.log.NullLogSystem

All Implemented Interfaces:
  LogChute, LogSystem

Deprecated. Use NullLogChute.

public class NullLogSystem
extends NullLogChute
implements LogSystem

Logger used in case of failure. Does nothing.

Version:
  $Id: NullLogSystem.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Geir Magnusson Jr.

Field Summary

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Fields inherited from interface org.apache.velocity.runtime.log.LogChute
`DEBUG_ID, DEBUG_PREFIX, ERROR_ID, ERROR_PREFIX, INFO_ID, INFO_PREFIX, TRACE_ID, TRACE_PREFIX, WARN_ID, WARN_PREFIX`

Constructor Summary
`NullLogSystem()` Deprecated.

Method Summary
`void` | `logVelocityMessage(int level, String message)` Deprecated. Use log(level, message).

Methods inherited from class org.apache.velocity.runtime.log.NullLogChute
`init, isLevelEnabled, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.velocity.runtime.log.LogSystem
`init`

Constructor Detail

### NullLogSystem

    public NullLogSystem()

  Deprecated.

Method Detail

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   String message)

  Deprecated. Use log(level, message).

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` -
    `message` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.